{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare function sched_rpt1, send_event, msg\r\ndeclare subroutine end_dialog\r\n$insert msg_equates\r\n\r\nCusts = .customer_info->array<1>\r\nswap @vm:@vm with '' in custs\r\nif Custs[-1,1] = @vm then custs[-1,1] = ''\r\nEntryDateFrom = .entry_date_from->text\r\nEntryDateThru = .entry_date_thru->text\r\nPlant = .Plant->text\r\nif EntryDateFrom or EntryDateThru then\r\n    DirToPrint   = .send_to_printer->text\r\n\tRetVal = Custs:'*':EntryDateFrom:'*':EntryDateThru:'*':DirToPrint:'*':Plant\r\n\tend_dialog( @window, RetVal )\r\nend else\r\n    MsgInfo = ''\r\n    MsgInfo<mtext$> = 'You must have a from date or a thru date.'\r\n    MsgInfo<micon$> = '!'\r\n    Void = msg( '', MsgInfo )\r\nend\r\nreturn 0\r\n"
        }
    }
}